Skip to main content
Returns a list of vendors according to the specified region.
HTTP request
GET https://api-{location-id}.flexicapture.com/v2/dataset/vendors/{region} where {location-id} is the supported location.
Path parameters

Parameters

region

path, string

Required. Invoice region. Supported regions: US: USA, AU: Australia, EU: European Union countries, CA: Canada.

ExternalId

query, string

Optional. External business unit ID.

Skip

query, integer

Optional. Skip count.

Take

query, integer

Optional. Take count.

Response
If successful, the response body contains an instance of VendorsResponseModel. If request is successful but vendors with the specified region are not found, the server returns a 204 OK HTTP status.
[{“external_id”: “string”,“business_unit_id”: “string”,“name”: [“string”],“street”: [“string”],“city”: [“string”],“state”: [“string”],“zip”: [“string”],“country_code”: “string”,“vat”: [“string”],“national_vat”: [“string”],“iban”: [“string”],“bank_account”: [“string”],“bank_code”: [“string”],“gl_code”: [“string”]}]

VendorsResponseModel fields

external_id

string

Required. External vendor’s ID.

business_unit_id

string

Required. Business unit ID.

name[]

string

Required. Vendor name.

street[]

string

Optional. Vendor street.

city[]

string

Optional. Vendor city.

state[]

string

Optional. Vendor state.

zip[]

string

Optional. Vendor zip code.

country_code

string

Required. Country code in ISO 3166-1 alpha-2 format.

vat[]

string

Optional. Tax payer ID.

national_vat[]

string

Optional. National tax payer ID.

iban[]

string

Optional. International bank account number.

bank_account[]

string

Optional. Bank account ID.

bank_code[]

string

Optional. Bank code.

gl_code[]

string

Optional. General ledger code.